get
https://{subdomain}.workable.com/spi/v3/requisitions/custom_attributes//choices
Returns the allowed choices of a requisition custom attribute. Required scope: r_requisitions. Accessible with all token types for accounts with Hiring Plan.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Results
Calling the /requisitions/custom_attributes/:id/choices endpoint will return the allowed choices of the specified requisition custom attribute, ordered by position. The attribute must be enabled and of type dropdown or multiple_choice.
Results are paginated with the limit (default 50, maximum 1000) and offset (default 0) query parameters. Use total to determine whether more choices remain.
| key | type | description |
|---|---|---|
| choices | array | Array of choices |
| total | integer | The total number of choices of the attribute, regardless of limit and offset |
Each choice will have the following keys:
| key | type | description |
|---|---|---|
| id | string | The choice identifier. Use this value when setting the attribute on a requisition. |
| body | string | The label of the choice |
| hint | string | The hint of the choice |
| translations | object | The label (body) and hint of the choice, keyed by language code |
Errors
| status | description |
|---|---|
| 404 | No requisition custom attribute with the specified id exists in the account |
| 422 | The attribute is not of type dropdown or multiple_choice, or the attribute is not enabled |
404404 - No requisition custom attribute with the specified id exists in the account. The response has an empty body.
